'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Root = require('../layouts/Root');

var _Root2 = _interopRequireDefault(_Root);

var _link = require('next/dist/lib/link.js');

var _link2 = _interopRequireDefault(_link);

var _Lock = require('../components/Lock');

var _Lock2 = _interopRequireDefault(_Lock);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {

  // Calculate options on the client from window location
  var options = function options() {
    return {
      auth: {
        redirectUrl: window.location.protocol + "//" + window.location.hostname + (window.location.port ? ':' + window.location.port : '') + '/login',
        responseType: 'token'
      }
    };
  };

  return _react2.default.createElement(_Root2.default, { className: 'mw7 center ph2' }, _react2.default.createElement('h1', { className: 'f1' }, 'Next Auth0 Components'), _react2.default.createElement(_Lock2.default, { options: options, auth0Id: process.env.AUTH0_ID, auth0Domain: process.env.AUTH0_DOMAIN, layout: function layout(_ref) {
      var lock = _ref.lock;
      return _react2.default.createElement('button', { onClick: function onClick() {
          lock.show();
        } }, 'Overlay Login');
    } }, _react2.default.createElement(_link2.default, { href: '/login' }, _react2.default.createElement('a', null, 'Static Login Link'))));
};